You are currently offline, waiting for your internet to reconnect

How to use Paradox data with Access and Jet

Support for Office 2003 has ended

Microsoft ended support for Office 2003 on April 8, 2014. This change has affected your software updates and security options. Learn what this means for you and how to stay protected.

This article was previously published under Q230126
This article has been archived. It is offered "as is" and will no longer be updated.
Novice: Requires knowledge of the user interface on single-user computers.

This article applies to a Microsoft Access database (.mdb) and to a Microsoft Access project (.adp).

INTRODUCTION
The Paradox database driver works in one of two modes. One mode is when either of the following are installed:
  • Microsoft Jet 4.0, Service Pack 5 (SP5) or a later version
  • Borland Database Engine (BDE)
The other mode is when neither of these are installed.

Note Paradox data is only updateable when Jet 4.0 SP5 or a later version or the BDE is installed. Without Jet 4.0 SP5 or a later version or the BDE, Paradox data can be read, imported and exported, or linked to as read-only.

There may be incompatibilities with certain versions of the BDE. The symptoms of the incompatibilities vary. The symptoms depend on the version of the BDE. The BDE version 5.01 is recommended. The following table lists the behavior that is supported for each Paradox file format:
VersionBehavior
Paradox 3, 4, 5 ISAM onlyImport\export\link-read-only
Paradox 3, 4, 5 ISAM with Jet 4 Service Pack 5Import\export\link-read write
Paradox 3, 4, 5 ISAM with the BDEImport\export\link-read write
Paradox 7-8No support provided
MORE INFORMATION
To be able to write data to a linked dBASE file from Access or from a Jet 4.0 application, you can install either the latest Jet 4.0 service pack or the BDE. We recommend that you install the latest Jet 4.0 service pack. If you install the latest Jet 4.0 service pack and continue not to be able to use Paradox data with Access, install the BDE.

Install the latest Jet 4.0 service pack

For additional information about how to obtain the latest Jet 4.0 service pack, click the following article number to view the article in the Microsoft Knowledge Base:
239114 How to obtain the latest service pack for the Microsoft Jet 4.0 Database Engine
Note If you want to install the latest Jet 4.0 service pack, the linked Paradox table must have a primary key to be updateable.

Borland Database Engine

Contact Inprise, Inc. or a third-party vendor to obtain the BDE. Obtain the licensing and the run-time distribution requirements for the BDE from Inprise, Inc.

For additional information about third-party Paradox ODBC driver vendors, visit the following Web site:

BorlandFor more information about hardware and software vendor contact information, visit the following Microsoft Web site: http://support.microsoft.com/gp/vendors
  • If neither Jet 4.0 SP5 or a later version nor the BDE is installed, the following are true:
    • Microsoft Access does not prompt for, use, or maintain Paradox indexes as in earlier versions of Microsoft Access. If Jet 4.0 SP5 or a later version or the BDE is installed, Access uses and maintains the indexes.
    • APPEND, UPDATE, and DELETE are no longer supported.
    • You can continue bulk writing of data to Paradox tables by using the INSERT INTO ... SELECT ... FROM ... syntax. However, the indexes are no longer maintained.
  • If the BDE is not installed, the following are true:
    • The Paradox ISAM puts an exclusive lock on Paradox files when these files are opened. This includes opening linked Paradox tables or Paradox tables that are opened by using DAO.
    • Multi-user capability is no longer supported.
    • Concurrent ODBC connections to the same table, from the same computer, or from multiple computers, are no longer supported.
  • The Paradox ISAM only supports the 8.3 naming convention as in earlier versions of Access.
  • Paradox extensions are not supported when you use the Microsoft Paradox IISAM. This is true even if a version of the BDE is installed that supports Paradox extensions.
REFERENCES
For additional information about other drivers that use Jet 4.0 Service Pack 5 or a later version or the BDE in a similar way, click the following article number to view the article in the Microsoft Knowledge Base:
230125 How to use dBASE data with Access 2000 and Jet
For additional information about a required primary key on all tables with multiuser functionality, click the following article number to view the article in the Microsoft Knowledge Base:
209795 Error occurs when you try to use multiple instances of a linked Paradox table
For additional information, click the following article number to view the article in the Microsoft Knowledge Base:
230126 How to use Paradox data with Access and Jet
The third-party products that this article discusses are manufactured by companies that are independent of Microsoft. Microsoft makes no warranty, implied or otherwise, regarding the performance or reliability of these products.
prb
Properties

Article ID: 230126 - Last Review: 12/05/2015 14:19:16 - Revision: 4.3

Microsoft Office Access 2003, Microsoft Access 2002 Standard Edition, Microsoft Access 2000 Standard Edition

  • kbnosurvey kbarchive atdownload kbhowto kb3rdparty kbprb KB230126
Feedback